<div>
    <h2 id="page-heading">
        <span>Cars</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-car" *jhiHasAnyAuthority="'ROLE_ADMIN'" [routerLink]="['/car/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Car
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="cars?.length === 0">
        <span>No cars found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="cars && cars.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="name"><span>Name</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="model"><span>Model</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="capacity"><span>Capacity</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="registrationNumber"><span>Registration Number</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="rate"><span>Rate</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="status"><span>Status</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="image"><span>Image</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
                <tr *ngFor="let car of cars ;trackBy: trackId">
                    <td><a [routerLink]="['/car', car.id, 'view']">{{ car.id }}</a></td>
                    <td>{{ car.name }}</td>
                    <td>{{ car.model }}</td>
                    <td>{{ car.capacity }}</td>
                    <td>{{ car.registrationNumber }}</td>
                    <td>{{ car.rate }}</td>
                    <td>{{ car.status }}</td>
                    <td>
                        <a *ngIf="car.image" (click)="openFile(car.imageContentType, car.image)">
                            <img [src]="'data:' + car.imageContentType + ';base64,' + car.image" style="max-height: 30px;" alt="car image"/>
                        </a>
                        <span *ngIf="car.image">{{ car.imageContentType }}, {{ byteSize(car.image) }}</span>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/car', car.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit" *jhiHasAnyAuthority="'ROLE_ADMIN'"
                                    [routerLink]="['/car', car.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(car)" *jhiHasAnyAuthority="'ROLE_ADMIN'"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
